OpenTTD

Public Member Functions | Data Fields
GRFTextWrapper Struct Reference

Reference counted wrapper around a GRFText pointer. More...

`#include <newgrf_config.h>`

Inheritance diagram for GRFTextWrapper:

## Public Member Functions
| GRFTextWrapper ()
| Create a new GRFTextWrapper. More...
| ~GRFTextWrapper ()
| Cleanup a GRFTextWrapper object. More...
Public Member Functions inherited from SimpleCountedObject
virtual int32 | AddRef ()
virtual int32 | Release ()
virtual void | FinalRelease ()

## Data Fields
struct GRFText * | text
| The actual text.
Data Fields inherited from SimpleCountedObject
int32 | m_ref_cnt

## Detailed Description

Reference counted wrapper around a GRFText pointer.

Definition at line 145 of file newgrf_config.h.

## Constructor & Destructor Documentation

## ◆ GRFTextWrapper()

GRFTextWrapper::GRFTextWrapper | ( |  | ) |

Create a new GRFTextWrapper.

Definition at line 31 of file newgrf_config.cpp.

## ◆ ~GRFTextWrapper()

GRFTextWrapper::~GRFTextWrapper | ( |  | ) |

Cleanup a GRFTextWrapper object.

Definition at line 37 of file newgrf_config.cpp.

References CleanUpGRFText(), and text.

The documentation for this struct was generated from the following files:

- src/newgrf_config.h
- src/newgrf_config.cpp